<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="java"
	exclude-result-prefixes="fo"
>

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="no" />

	<xsl:param name="body.font.family" expression="Arial, FreeSans" />
	<xsl:param name="title.font.family" expression="Arial, FreeSans" />
	<xsl:param name="monospace.font.family" expression="Arial, FreeSans" />
	<!-- <xsl:param name="body.font.master" select="'10.1'" /> -->
	<xsl:param name="symbol.font.family" expression="Arial, FreeSans" />
	<xsl:param name="body.fontset" expression="Arial, FreeSans" />

	<xsl:include href="template://Barcode_Template.xsl" />

	<!-- ========================================== -->
	<!-- Template: Delivery List Report A4 Portrait -->
	<!-- ========================================== -->

	<xsl:template match="report">
		<fo:root font-family="Arial, FreeSans">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="whole_page" page-width="210mm" page-height="297mm" margin-top="10mm" margin-bottom="5mm" margin-left="10mm"
					margin-right="10mm"
				>
					<xsl:choose>
						<xsl:when test="/report/demo = 'true'">
							<fo:region-body margin-left="0" margin-right="0" margin-top="15mm" margin-bottom="21mm" background-image="url('image://FOP_DEMO')" background-position="0,0"
								background-repeat="repeat" background-color="white" />
						</xsl:when>
						<xsl:otherwise>
							<fo:region-body margin-left="0" margin-right="0" margin-top="16mm" margin-bottom="21mm" />
						</xsl:otherwise>
					</xsl:choose>
					<fo:region-before extent="25mm" />
					<fo:region-after extent="10mm" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference="whole_page" initial-page-number="{/report/startingPageNumber}">

				<fo:static-content flow-name="xsl-region-before">
					<!-- Header begin -->
					<fo:block>
						<fo:table width="100%">
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<!-- Barcode Delivery List Reference -->
										<fo:block padding="0.1mm" text-align="left">
											<xsl:call-template name="barcode">
												<xsl:with-param name="message" select="/report/lblDeliveryListReportReference" />
												<xsl:with-param name="codeType" select="'multifunctional'" />
												<!-- Cannot use 'trackingCode' codeType here, because of "-" in string. It is not allowed with this codeType. -->
											</xsl:call-template>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<!-- Report header -->
										<fo:block font-size="5mm" font-weight="bold" text-align="center" wrap-option="wrap" margin-bottom="1mm">
											<xsl:value-of select="/report/lblDeliveryListReportTitle" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block>
											<xsl:text> </xsl:text>
										</fo:block>
										<!-- Licensee title -->
										<!-- <fo:block font-size="4mm" font-weight="bold" font-style="italic" text-align="right" wrap-option="wrap"> <!- - <xsl:value-of select="/report/licenseeInfo/name" /> - -> 
											<xsl:text>CITY EXPRESS 011 BG</xsl:text> </fo:block> <fo:block font-size="2.5mm" text-align="right" wrap-option="wrap"> <xsl:value-of select="/report/licenseeInfo/postalCode" /> <xsl:text> 
											</xsl:text> <xsl:value-of select="/report/licenseeInfo/city" /> <xsl:text>, </xsl:text> <xsl:value-of select="/report/licenseeInfo/address" /> </fo:block> -->
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<!-- Header end -->
				</fo:static-content>

				<fo:static-content flow-name="xsl-region-after">
					<!-- Footer begin -->
					<fo:block padding-top="1mm" border-style="solid" border-width="0" border-top-width="thin">
						<fo:table width="100%">
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block font-size="2.5mm" text-align="left" wrap-option="no-wrap">
											<xsl:value-of select="/report/datum/label" />
											<xsl:text>: </xsl:text>
											<xsl:value-of select="/report/datum/value" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block font-size="2.5mm" text-align="center" font-style="italic" wrap-option="no-wrap">
											<xsl:value-of select="/report/expeditInfo/name" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block font-size="2.5mm" text-align="right" wrap-option="no-wrap">
											<xsl:value-of select="/report/lblPage" />
											<xsl:text> </xsl:text>
											<fo:page-number />
											<xsl:text> </xsl:text>
											<xsl:value-of select="/report/lblPageOf" />
											<xsl:text> </xsl:text>
											<fo:page-number-citation ref-id="endOfDocument" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<!-- Footer end -->
				</fo:static-content>

				<fo:flow flow-name="xsl-region-body">
					<!-- Header begin -->
					<fo:block font-size="2.5mm" font-style="normal" margin-bottom="5mm">
						<fo:table width="100%" padding="0.5mm">
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell width="22mm">
										<fo:block wrap-option="no-wrap">
											<xsl:text>Centar isporuke: </xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell width="70mm">
										<fo:block wrap-option="no-wrap">
											<xsl:text>CITY EXPRESS 011 BG</xsl:text>
											<!-- <xsl:text>, </xsl:text> <xsl:value-of select="/report/licenseeInfo/postalCode" /> <xsl:text> </xsl:text> <xsl:value-of select="/report/licenseeInfo/city" /> -->
											<xsl:text>, </xsl:text>
											<xsl:value-of select="/report/licenseeInfo/address" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell width="23mm" padding-right="3mm">
										<fo:block wrap-option="no-wrap" text-align="right">
											<xsl:value-of select="/report/lblCourier" />
											<xsl:text>: </xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block>
											<xsl:choose>
												<xsl:when test="/report/printVehicleInfo = 'true'">
													<xsl:value-of select='concat(/report/shipperInfo/name, " - vozilo br. ",/report/vehicleInfo)' />
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="/report/shipperInfo/name" />
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block wrap-option="no-wrap">
											<xsl:value-of select="/report/lblRouteForDelivery" />
											<xsl:text>:</xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block wrap-option="no-wrap">
											<xsl:choose>
												<xsl:when test="/report/printVehicleInfo = 'true'">
													<xsl:value-of select="/report/vehicleInfo" />
												</xsl:when>
												<xsl:otherwise>
													<xsl:text> </xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding-right="3mm">
										<fo:block wrap-option="no-wrap" text-align="right">
											<xsl:value-of select="/report/weight/label" />
											<xsl:text>: </xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block wrap-option="no-wrap">
											<xsl:value-of select="/report/weight/value" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block wrap-option="no-wrap">
											<xsl:value-of select="/report/lblDeliveryListReportTitle" />
											<xsl:text>:</xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block wrap-option="no-wrap">
											<xsl:value-of select="/report/lblDeliveryListReportReference" />
											<xsl:text> / </xsl:text>
											<xsl:value-of select="/report/numberOfShipments/value" />
											<xsl:text> </xsl:text>
											<xsl:value-of select="/report/lblPositions" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding-right="3mm">
										<fo:block wrap-option="no-wrap" text-align="right">
											<xsl:value-of select="/report/numberOfShipments/label" />
											<xsl:text>: </xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block wrap-option="no-wrap">
											<xsl:value-of select="/report/numberOfShipments/value" />
											<xsl:text> / </xsl:text>
											<xsl:value-of select="/report/numberOfParcels/value" />
											<xsl:text> </xsl:text>
											<xsl:value-of select="/report/lblNumberOfParcelsShort" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<!-- Header end -->
					<fo:block>
						<fo:table width="100%" table-omit-header-at-break="false">
							<fo:table-header>
								<fo:table-row margin-bottom="10mm">
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="15mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-bottom="1mm">
											<xsl:value-of select="/report/lblOrdinalNr" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="30mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-bottom="1mm">
											<xsl:value-of select="/report/lblReferenceNumbers" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="25mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-left="2mm" padding-bottom="1mm">
											<xsl:value-of select="/report/numberOfParcels/label" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="30mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-bottom="1mm">
											<xsl:text>Preuzimanje</xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="23mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-bottom="1mm">
											<xsl:value-of select="/report/lblParcelsNumbers" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="12mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-bottom="1mm">
											<xsl:value-of select="/report/weight/label" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin" width="12mm">
										<fo:block font-size="2.5mm" font-weight="bold" text-align="left" padding-top="1mm" padding-bottom="1mm">
											<xsl:value-of select="/report/lblServices" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0" border-top-width="thin" border-bottom-width="thin">
										<fo:block>
											<xsl:text> </xsl:text>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>
								<!-- Main content begin -->
								<xsl:for-each select="shipmentsInfo/shipmentInfo">
									<xsl:apply-templates select="." />
								</xsl:for-each>
								<!-- Main content end -->
							</fo:table-body>
						</fo:table>
					</fo:block>
					<fo:block id="endOfDocument" />
				</fo:flow>

			</fo:page-sequence>
		</fo:root>
	</xsl:template>

	<xsl:template match="shipmentInfo">
		<fo:table-row keep-together.within-page="always">
			<fo:table-cell>
				<fo:block font-size="4mm" font-weight="bold" padding-top="1mm" padding-bottom="1mm">
					<xsl:value-of select="@ordinalNr" />
					<xsl:text>.</xsl:text>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell number-columns-spanned="7">
				<fo:block font-size="2.5mm" font-weight="bold" padding-top="1mm" padding-bottom="0.5mm">
					<xsl:value-of select="/report/lblReceiver" />
					<xsl:text>: </xsl:text>
					<xsl:value-of select="receiver/name" />
					<xsl:text>, </xsl:text>
					<xsl:value-of select="receiver/postalCode" />
					<xsl:text> </xsl:text>
					<xsl:value-of select="receiver/city" />
					<xsl:text>, </xsl:text>
					<xsl:value-of select="receiver/address" />
					<xsl:choose>
						<xsl:when test="string-length(receiverContactPerson) > 0">
							<xsl:text> (</xsl:text>
							<xsl:value-of select="/report/lblContactPersonShort" />
							<xsl:text>: </xsl:text>
							<xsl:value-of select="receiverContactPerson" />
							<xsl:text>)</xsl:text>
						</xsl:when>
					</xsl:choose>
				</fo:block>
				<fo:block font-size="2.5mm" font-weight="bold" padding-bottom="0.5mm">
					<xsl:value-of select="/report/lblSender" />
					<xsl:text>: </xsl:text>
					<xsl:value-of select="sender/name" />
					<xsl:text>, </xsl:text>
					<xsl:value-of select="sender/postalCode" />
					<xsl:text> </xsl:text>
					<xsl:value-of select="sender/city" />
					<xsl:text>, </xsl:text>
					<xsl:value-of select="sender/address" />
					<xsl:choose>
						<xsl:when test="string-length(senderContactPerson) > 0">
							<xsl:text> (</xsl:text>
							<xsl:value-of select="/report/lblContactPersonShort" />
							<xsl:text>: </xsl:text>
							<xsl:value-of select="senderContactPerson" />
							<xsl:text>)</xsl:text>
						</xsl:when>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		<fo:table-row keep-with-previous.within-page="always" keep-together.within-page="always">
			<fo:table-cell>
				<fo:block>
					<xsl:text> </xsl:text>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="2mm" text-align="left" padding-top="0.5mm" padding-bottom="0">
					<xsl:value-of select="/report/lblReferenceNr1Short" />
					<xsl:text>: </xsl:text>
					<xsl:value-of select="referenceNr1" />
				</fo:block>
				<fo:block font-size="2mm" text-align="left" padding-top="0.4mm" padding-bottom="0">
					<xsl:value-of select="/report/lblReferenceNr2Short" />
					<xsl:text>: </xsl:text>
					<xsl:value-of select="referenceNr2" />
				</fo:block>
				<fo:block font-size="2mm" text-align="left" padding-top="0.4mm" padding-bottom="1mm">
					<xsl:value-of select="/report/lblReferenceNr3Short" />
					<xsl:text>: </xsl:text>
					<xsl:value-of select="referenceNr3" />
				</fo:block>
				<fo:block font-size="2mm" text-align="left" padding-top="0.4mm" padding-bottom="1mm">
					<xsl:value-of select="deliveryRemark" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="2mm" text-align="left" padding-top="1mm" padding-bottom="1mm">
					<xsl:text>1 po./ </xsl:text>
					<xsl:value-of select="numberOfParcels" />
					<xsl:text> </xsl:text>
					<xsl:value-of select="/report/lblNumberOfParcelsShort" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="2mm" text-align="left">
					<xsl:choose>
						<xsl:when test="cashOnDeliveryValue = '0,00 Din.'">
							<xsl:text> </xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<fo:table margin-right="2mm">
								<fo:table-body>
									<!-- <fo:table-row> <fo:table-cell width="7mm"> <fo:block> <xsl:text>PR:</xsl:text> </fo:block> </fo:table-cell> <fo:table-cell border-style="solid" border-width="0" border-bottom-width="thin" 
										width="13mm"> <fo:block> <xsl:text> </xsl:text> </fo:block> </fo:table-cell> </fo:table-row> -->
									<!-- <fo:table-row> <fo:table-cell> <fo:block> <xsl:text>(pdv)</xsl:text> </fo:block> </fo:table-cell> <fo:table-cell border-style="solid" border-width="0" border-bottom-width="thin"> 
										<fo:block> <xsl:text> </xsl:text> </fo:block> </fo:table-cell> </fo:table-row> -->
									<!-- <fo:table-row> <fo:table-cell> <fo:block> <xsl:text>uklj.</xsl:text> </fo:block> </fo:table-cell> <fo:table-cell border-style="solid" border-width="0" border-bottom-width="thin"> 
										<fo:block> <xsl:text> </xsl:text> </fo:block> </fo:table-cell> </fo:table-row> -->
									<fo:table-row>
										<fo:table-cell border-style="solid" border-width="0" border-bottom-width="thin" padding-top="0.5mm">
											<fo:block padding-top="0.5mm">
												<xsl:text>CD</xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell border-style="solid" border-width="0" border-bottom-width="thin">
											<fo:block text-align="right" padding-top="0.5mm" padding-bottom="1.5mm">
												<xsl:value-of select="cashOnDeliveryValue" />
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell>
											<fo:block padding-top="1mm" padding-bottom="0.5mm">
												<xsl:text> </xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block text-align="right" padding-top="1mm" padding-bottom="2mm">
												<xsl:value-of select="cashOnDeliveryValue" />
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell wrap-option="wrap">
				<fo:block font-size="2mm" text-align="left" padding-top="1mm" padding-bottom="1mm">
					<xsl:for-each select="packetsInfo/packetsRow/packetCode">
						<xsl:value-of select="." />
						<xsl:text> </xsl:text>
					</xsl:for-each>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="2mm" text-align="left" padding-top="1mm" padding-bottom="1mm">
					<xsl:value-of select="weight" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="2mm" text-align="left" padding-top="1mm" padding-bottom="1mm">
					<xsl:value-of select="servicesDescriptor" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block>
					<xsl:text> </xsl:text>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		<fo:table-row keep-with-previous.within-page="always" keep-together.within-page="always">
			<fo:table-cell>
				<fo:block>
					<xsl:text> </xsl:text>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell number-columns-spanned="6">
				<fo:block font-size="2mm" font-family="Courier, monospace" text-align="left" padding-top="0.5mm" padding-bottom="0mm">
					<xsl:text>O ADRU&#160;&#160;&#160;O TIME&#160;&#160;&#160;O EMGY&#160;&#160;&#160;O SRTF&#160;&#160;&#160;O REFU&#160;&#160;&#160;O RCVU</xsl:text>
				</fo:block>
				<fo:block font-size="2mm" font-family="Courier, monospace" text-align="left" padding-top="0mm" padding-bottom="0mm">
					<xsl:text>O NIGD&#160;&#160;&#160;O FUPT&#160;&#160;&#160;O ABST&#160;&#160;&#160;O FDLY&#160;&#160;&#160;O VACA&#160;&#160;&#160;O DMGD</xsl:text>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="2mm" text-align="center" padding-top="1.5mm" padding-bottom="2mm" border-width="0" border-top-width="thin" border-style="dashed">
					<xsl:value-of select="/report/lblShipmentReceivedProperly" />
					<xsl:text> (</xsl:text>
					<xsl:value-of select="/report/datum/value" />
					<xsl:text>)</xsl:text>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		<fo:table-row keep-with-previous.within-page="always" keep-together.within-page="always">
			<fo:table-cell number-columns-spanned="8" border-bottom-style="solid" border-bottom-width="thin">
				<!-- CityExpress signature -->
				<fo:block font-size="2mm" text-align="center" wrap-option="no-wrap" padding-bottom="1mm">
					<!-- <xsl:value-of select="/report/licenseeInfo/name" /> -->
					<xsl:text>CITY EXPRESS 011 BG</xsl:text>
					<xsl:text>, </xsl:text>
					<xsl:value-of select="/report/licenseeInfo/postalCode" />
					<xsl:text> </xsl:text>
					<xsl:value-of select="/report/licenseeInfo/city" />
					<xsl:text>, </xsl:text>
					<xsl:value-of select="/report/licenseeInfo/address" />
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>

