<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:java="java" exclude-result-prefixes="fo"
	xmlns:barcode="http://barcode4j.krysalis.org/ns">

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no"
		indent="no" />

	<xsl:param name="body.font.family" expression="Arial, FreeSans" />
	<xsl:param name="title.font.family" expression="Arial, FreeSans" />
	<xsl:param name="monospace.font.family" expression="Arial, FreeSans" />
	<!-- <xsl:param name="body.font.master" select="'10.1'" /> -->
	<xsl:param name="symbol.font.family" expression="Arial, FreeSans" />
	<xsl:param name="body.fontset" expression="Arial, FreeSans" />

	<xsl:include href="template://Sticker_Template.xsl" />

	<!-- ============================== -->
	<!-- Template: Report A5 Portrait -->
	<!-- ============================== -->

	<xsl:template match="report">
		<fo:root font-family="Arial, FreeSans">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="whole_page"
					page-width="148mm" page-height="210mm" margin-top="5mm"
					margin-bottom="5mm" margin-left="6mm" margin-right="5mm">
					<fo:region-body margin-left="0" margin-right="0"
						margin-top="0" margin-bottom="0" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<xsl:for-each select="stickersInfo/stickersQuadRow/stickersRow">
				<fo:page-sequence master-reference="whole_page">
					<fo:flow flow-name="xsl-region-body">
						<fo:block>
							<fo:table table-layout="fixed" width="100%">
								<fo:table-body>
									<xsl:for-each select="sticker">
										<fo:table-row height="97mm">
											<fo:table-cell width="136mm" padding="0">
												<xsl:apply-templates select="." />
											</fo:table-cell>
										</fo:table-row>
										<xsl:if test="@UID mod 2 = 1">
											<fo:table-row height="6mm">
												<fo:table-cell width="135mm" padding="0">
													<xsl:call-template name="separator_horizontal" />
												</fo:table-cell>
											</fo:table-row>
										</xsl:if>
									</xsl:for-each>
								</fo:table-body>
							</fo:table>
						</fo:block>
					</fo:flow>
				</fo:page-sequence>
			</xsl:for-each>

		</fo:root>
	</xsl:template>

</xsl:stylesheet>

